org.codehaus.plexus.container.initialization

## Interface ContainerInitializationPhase

All Known Implementing Classes:
  AbstractContainerInitializationPhase, AbstractCoreComponentInitializationPhase, InitializeComponentDiscovererManagerPhase, InitializeComponentFactoryManagerPhase, InitializeComponentRegistryPhase, InitializeContainerConfigurationSourcePhase, InitializeLoggerManagerPhase, InitializeSystemPropertiesPhase, InitializeUserConfigurationSourcePhase

    public interface ContainerInitializationPhase

Author:
  Jason van Zyl

### Field Summary

Fields
`static java.lang.String` `ROLE`

### Method Summary

Methods
`void` `execute(ContainerInitializationContext context)`

### Field Detail

#### ROLE

    static final java.lang.String ROLE

### Method Detail

#### execute

    void execute(ContainerInitializationContext context)
                 throws ContainerInitializationException

Throws:
  `ContainerInitializationException`